//---------------------------------------------------------------------------
#ifndef PrintDlgH
#define PrintDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall PrintMessage(TStrings *Lines, TFont *Font, AnsiString &Title=String("Print"),
   TForm* Form=Application->MainForm
);

class TPrintForm : public TForm
{
__published:	// IDE-managed Components
   TLabel *msg;
   TTimer *Timer1;
        TButton *CancelBtn;
   void __fastcall Timer1Timer(TObject *Sender);
   
   void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
   void __fastcall FormShow(TObject *Sender);

        void __fastcall CancelBtnClick(TObject *Sender);
   
private:	// User declarations
public:		// User declarations
   TFont *Font;
   bool Cancelled; // my own cancel (modalresult is set later)
   bool Printing;  // my own printing bool
   TStringList *Lines;
   __fastcall TPrintForm(TComponent* Owner);
   void __fastcall PrintLines();
};

const int lmargin = 150;
const int tmargin = 150;
const int bmargin = 300;
const int between = 3;
//---------------------------------------------------------------------------
extern TPrintForm *PrintForm;
//---------------------------------------------------------------------------
#endif
