//---------------------------------------------------------------------------
#ifndef WiperH
#define WiperH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TWipeForm : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TTimer *Timer1;
	TButton *Button1;
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	
	
private:	// User declarations
public:	// User declarations
   TStringList *files;
   int passes;

	__fastcall TWipeForm(TComponent* Owner);
};

// main functions
// simplewipe wipes without presenting a progress dialog
// wipefiles shows progress via dialog
int __fastcall simplewipe(AnsiString &Filename, int Passes=10);
void __fastcall wipefiles(AnsiString &Filename, int Passes=10);
// internal use
void __fastcall initrandom();
int __fastcall clustersize(int drive);
void __fastcall fillbuf(int type, char *buf, int size);
AnsiString __fastcall wipename(AnsiString &oldname);

//---------------------------------------------------------------------------
extern TWipeForm *WipeForm;
//---------------------------------------------------------------------------
#endif
