//---------------------------------------------------------------------------
#ifndef MimeManH
#define MimeManH

#include <vcl\comctrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall AttachFiles(TStrings *Message, TStrings *Display,
   TProgressBar *ProgressBar);

const int statMimeOk = 0;
const int statMimeBadFilename = -1;
const int statMimeCancel = -2;

class TMimeMan
{
private:
   TStrings *Message;
   TStrings *Display;
   TProgressBar *ProgressBar;
   TStringList *Filenames;
   AnsiString MimeBoundary;
   TStringList *ProcessLog;
   int __fastcall GetAttachmentNames();
   void __fastcall AttachFile(TFileName &Filename);
   void __fastcall UUEncode(AnsiString &Filename);
   AnsiString __fastcall GetContentType(AnsiString &Filename);
   int __fastcall EOH();
public:
   int status;
   bool Cancelled;
   __fastcall TMimeMan(TStrings *message, TStrings *display, TProgressBar *progressbar);
   __fastcall ~TMimeMan();
   bool __fastcall AttachFiles();
};
//---------------------------------------------------------------------------
extern TMimeMan *MimeMan;
//---------------------------------------------------------------------------
#endif
